Telegram APIMessages
messages.saveDefaultSendAs
Change the default peer that should be used when sending messages, reactions, poll votes to a specific group
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Change the default peer that should be used when sending messages, reactions, poll votes to a specific group
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.saveDefaultSendAs" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "sendAs": { "_": "inputPeerEmpty" } } }'{ "result": true}requestWebView
Open a [bot mini app](https://core.telegram.org/bots/webapps), sending over user information after user confirmation. After calling this method, until the user closes the webview, `messages.RawProlongWebViewRequest` must be called every 60 seconds.
saveDraft
Save a message [draft](https://core.telegram.org/api/drafts) associated to a chat.